import java.util.Scanner;
public class Examen01_LEDNumberDisplay_JavierDuran
{
  public static void main(String args[])
  {
    Scanner teclado = new Scanner(System.in);
    
    System.out.printf("LED number display%n%n");
    
    int numero = 1;
    int x1 = numero;//ayuda a llevar control sobre el inverso del número
    int x2 = 1;//ayuda a llevar control sobre la magnitud decimal del número inverso
    int aumento = 1;
    int impreso = 0;
    int impreso2 = 0;
    
    while (numero > 0)
    {
      System.out.printf("Número a mostrar [0=Salir]: %n");
      numero = teclado.nextInt();
      x1 = numero;
      
      if (numero == 0)
        ;
      else
      {
        System.out.printf("Factor de aumento (x): %n");
        aumento = teclado.nextInt();
        impreso = 0;
        impreso2 = 0;
        
        while (numero > 0)
        {
          x2 = 1;
          while (x1 >= 10)
          {
            x1 = x1/10;
            x2 = 10 * x2;
          }
          x1 = x1%10;
          
          switch ( x1 )
          {
            case 0:
              while (impreso2 < aumento)
            {
              while (impreso < aumento)
              {
                System.out.print("###");
                impreso++;
              }
              System.out.println();
              impreso = 0;
              impreso2++;
            }
              impreso2 = 0;
              while (impreso2 < 3 * aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                while (impreso < aumento)
                {
                  System.out.print(" ");
                  impreso++;              
                }
                impreso = 0;
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                System.out.println();
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("###");
                  impreso++;
                }
                System.out.println();
                impreso = 0;
                impreso2++;
              }
              impreso2 = 0;
              System.out.println();
              break;
              
            case 1:
              while (impreso2 < aumento)
            {
              while (impreso < aumento)
              {
                System.out.print("#");
                impreso++;
              }
              System.out.println();
              impreso = 0;
              impreso2++;
            }
              impreso2 = 0;
              while (impreso2 < 3 * aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                System.out.println();
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;
                }
                System.out.println();
                impreso = 0;
                impreso2++;
              }
              impreso2 = 0;
              System.out.println();
              break;
              
            case 2:
              while (impreso2 < aumento)
            {
              while (impreso < aumento)
              {
                System.out.print("###");
                impreso++;
              }
              System.out.println();
              impreso = 0;
              impreso2++;
            }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("  ");
                  impreso++;              
                }
                impreso = 0;
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                System.out.println();
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("###");
                  impreso++;
                }
                System.out.println();
                impreso = 0;
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                while (impreso < aumento)
                {
                  System.out.print("  ");
                  impreso++;              
                }
                impreso = 0;
                System.out.println();
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("###");
                  impreso++;
                }
                System.out.println();
                impreso = 0;
                impreso2++;
              }
              impreso2 = 0;
              System.out.println();
              break;
              
            case 3:
              while (impreso2 < aumento)
            {
              while (impreso < aumento)
              {
                System.out.print("###");
                impreso++;
              }
              System.out.println();
              impreso = 0;
              impreso2++;
            }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("  ");
                  impreso++;              
                }
                impreso = 0;
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                System.out.println();
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("###");
                  impreso++;
                }
                System.out.println();
                impreso = 0;
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("  ");
                  impreso++;              
                }
                impreso = 0;
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                System.out.println();
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("###");
                  impreso++;
                }
                System.out.println();
                impreso = 0;
                impreso2++;
              }
              impreso2 = 0;
              System.out.println();
              break;
              
            case 4:
              
              while (impreso2 < 2 * aumento)
            {
              while (impreso < aumento)
              {
                System.out.print("#");
                impreso++;              
              }
              impreso = 0;
              while (impreso < aumento)
              {
                System.out.print(" ");
                impreso++;              
              }
              impreso = 0;
              while (impreso < aumento)
              {
                System.out.print("#");
                impreso++;              
              }
              impreso = 0;
              System.out.println();
              impreso2++;
            }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("###");
                  impreso++;
                }
                System.out.println();
                impreso = 0;
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("  ");
                  impreso++;              
                }
                impreso = 0;
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                System.out.println();
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("  ");
                  impreso++;              
                }
                impreso = 0;
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                System.out.println();
                impreso2++;
              }
              impreso2 = 0;
              System.out.println();
              break;
              
            case 5:
              while (impreso2 < aumento)
            {
              while (impreso < aumento)
              {
                System.out.print("###");
                impreso++;
              }
              System.out.println();
              impreso = 0;
              impreso2++;
            }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                while (impreso < aumento)
                {
                  System.out.print("  ");
                  impreso++;              
                }
                impreso = 0;
                System.out.println();
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("###");
                  impreso++;
                }
                System.out.println();
                impreso = 0;
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("  ");
                  impreso++;              
                }
                impreso = 0;
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                System.out.println();
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("###");
                  impreso++;
                }
                System.out.println();
                impreso = 0;
                impreso2++;
              }
              impreso2 = 0;
              System.out.println();
              break;
              
            case 6:
              while (impreso2 < aumento)
            {
              while (impreso < aumento)
              {
                System.out.print("###");
                impreso++;
              }
              System.out.println();
              impreso = 0;
              impreso2++;
            }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                while (impreso < aumento)
                {
                  System.out.print("  ");
                  impreso++;              
                }
                impreso = 0;
                System.out.println();
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("###");
                  impreso++;
                }
                System.out.println();
                impreso = 0;
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                while (impreso < aumento)
                {
                  System.out.print(" ");
                  impreso++;              
                }
                impreso = 0;
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                System.out.println();
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("###");
                  impreso++;
                }
                System.out.println();
                impreso = 0;
                impreso2++;
              }
              impreso2 = 0;
              System.out.println();
              break;
              
            case 7:
              while (impreso2 < aumento)
            {
              while (impreso < aumento)
              {
                System.out.print("###");
                impreso++;
              }
              System.out.println();
              impreso = 0;
              impreso2++;
            }
              impreso2 = 0;
              while (impreso2 < 4 * aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("  ");
                  impreso++;              
                }
                impreso = 0;
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                System.out.println();
                impreso2++;
              }
              impreso2 = 0;
              
              System.out.println();
              break;
              
            case 8:
              while (impreso2 < aumento)
            {
              while (impreso < aumento)
              {
                System.out.print("###");
                impreso++;
              }
              System.out.println();
              impreso = 0;
              impreso2++;
            }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                while (impreso < aumento)
                {
                  System.out.print(" ");
                  impreso++;              
                }
                impreso = 0;
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                System.out.println();
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("###");
                  impreso++;
                }
                System.out.println();
                impreso = 0;
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                while (impreso < aumento)
                {
                  System.out.print(" ");
                  impreso++;              
                }
                impreso = 0;
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                System.out.println();
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("###");
                  impreso++;
                }
                System.out.println();
                impreso = 0;
                impreso2++;
              }
              impreso2 = 0;
              System.out.println();
              break;
              
            case 9:
              while (impreso2 < aumento)
            {
              while (impreso < aumento)
              {
                System.out.print("###");
                impreso++;
              }
              System.out.println();
              impreso = 0;
              impreso2++;
            }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                while (impreso < aumento)
                {
                  System.out.print(" ");
                  impreso++;              
                }
                impreso = 0;
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                System.out.println();
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("###");
                  impreso++;
                }
                System.out.println();
                impreso = 0;
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("  ");
                  impreso++;              
                }
                impreso = 0;
                while (impreso < aumento)
                {
                  System.out.print("#");
                  impreso++;              
                }
                impreso = 0;
                System.out.println();
                impreso2++;
              }
              impreso2 = 0;
              while (impreso2 < aumento)
              {
                while (impreso < aumento)
                {
                  System.out.print("###");
                  impreso++;
                }
                System.out.println();
                impreso = 0;
                impreso2++;
              }
              impreso2 = 0;
              System.out.println();
              break;
          }
          numero = numero - (x1*x2);
          x1 = numero;
        }
        numero = 1;
      }
    }
  }
}